Get a customer
curl --request GET \
--url https://api.togai.com/customers/{customer_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.togai.com/customers/{customer_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.togai.com/customers/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "01BX5ZZKBKACTAV9WEVGEMMVRZ",
"togaiCustomerId": "customer.dsvvre314.dcs14",
"name": "ACME Enterprise",
"primaryEmail": "admin@example.com",
"address": {
"phoneNumber": "+919876543210",
"line1": "2281 Broadway Street",
"line2": "G-31",
"postalCode": "29501",
"city": "Florence",
"state": "South Carolina",
"country": "US"
},
"billingAddress": "2281 Broadway Street, G-31, 29501, Florence, South Carolina, US",
"status": "ACTIVE",
"updatedAt": "2020-07-04T12:00:00.000Z",
"createdAt": "2020-07-04T12:00:00.000Z"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}Customers
Get a customer
Get customer information using customer_id.
GET
/
customers
/
{customer_id}
Get a customer
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Maximum string length:
50Example:
"01BX5ZZKBKACTAV9WEVGEMMVRZ"
Response
Response for Get customer requests
Structure of customer
Identifier of customer
Maximum string length:
50Unique identifier of customer
Name of the Customer
Required string length:
3 - 255Primary email of the customer
Maximum string length:
320billing address of the customer
Maximum string length:
1000Example:
"201 Boulevard, WA 53123"
billing address of the customer
Show child attributes
Show child attributes
Status of the customer
Available options:
ACTIVE, ARCHIVED Example:
"ACTIVE"
